version: '3'
services:
  prisma:
    image: prismagraphql/prisma:1.34
    environment:
      PRISMA_CONFIG: |
        port: 4466
        # uncomment the next line and provide the env var PRISMA_MANAGEMENT_API_SECRET=my-secret to activate cluster security
        # managementApiSecret: my-secret
        databases:
          default:
            connector: postgres
            host: postgres
            user: prisma
            password: prisma
            rawAccess: true
            port: 5432
            migrations: true
    ports: 
      - 4466:4466
    depends_on: 
      - postgres

  postgres:
    image: postgres
    restart: always
    # Uncomment the next two lines to connect to your your database from outside the Docker environment, e.g. using a database GUI like Postico
    # ports:
    # - "5432:5432"
    environment:
      POSTGRES_USER: prisma
      POSTGRES_PASSWORD: prisma

  dev-server:
    build: .
    env_file: .env
    volumes:
      - /app/node_modules/
      - ./:/app/
    ports:
      - 4000:4000
      
volumes:
  postgres:
